<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="selectPatientEncounterDiv" rendered="#{pesManager.selectedPatient != null}">
        <!-- all patient's encounters -->
        <s:div id="allEncounters">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <ui:define name="filter_buttons">

                </ui:define>
            </ui:decorate>
            <rich:dataTable value="#{pesManager.availableEncounters}" var="encounter" id="encounterList" render="ds">
                <ui:include src="/iti31/abstractEncountersColumns.xhtml">
                    <ui:param name="encounter" value="#{encounter}"/>
                </ui:include>
                <g:column id="actionColumn" rendered="#{pesManager.selectedAction.equals('INSERT')}">
                    <ui:define name="header">#{messages['gazelle.simulator.pam.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <a4j:commandLink value="#{messages['gazelle.simulator.pam.Select']}"
                                         actionListener="#{pesManager.selectEncounterForInsert(encounter)}"
                                         rendered="#{(not pesManager.confirmPreadmission and encounter.open) or (pesManager.confirmPreadmission and encounter.open and encounter.patientStatus.equals('PRE_ADMITTED'))}"
                                         render="PESPanel"/>
                        <h:outputText value="#{messages['gazelle.simulator.pam.EncounterClosed']}"
                                      rendered="#{not encounter.open}"/>
                        <h:outputText value="#{messages['gazelle.simulator.pam.AlreadyConfirm']}"
                                      rendered="#{encounter.open and pesManager.confirmPreadmission and not encounter.patientStatus.equals('PRE_ADMITTED')}"/>
                    </div>
                </g:column>
                <!-- number of columns to span differs whether the action column is displayed or not -->
                <g:column colspan="8" breakBefore="true" id="span8" style="background-color:#ccddee;"
                          rendered="#{pesManager.selectedAction.equals('INSERT')}">
                    <f:subview id="subview_1">
                        <ui:include id="include1" src="/iti31/togglePanelForMovements.xhtml">
                            <ui:param name="encounter" value="#{encounter}"/>
                        </ui:include>
                    </f:subview>
                </g:column>
                <g:column colspan="7" breakBefore="true" id="span7" style="background-color:#ccddee;"
                          rendered="#{not pesManager.selectedAction.equals('INSERT')}">
                    <ui:include src="/iti31/togglePanelForMovements.xhtml">
                        <ui:param name="encounter" value="#{encounter}"/>
                        <ui:param name="id" value="1"/>
                    </ui:include>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="encounterList"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </s:div>
    </s:div>
</ui:composition>
